GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
gdcm::Fragment Class Reference

Class to represent a Fragment. More...

`#include <gdcmFragment.h>`

Inheritance diagram for gdcm::Fragment:
[legend]
Collaboration diagram for gdcm::Fragment:
[legend]

## Public Member Functions

| Fragment ()
VL | GetLength () const
template<typename TSwap >
std::istream & | Read (std::istream &is)
template<typename TSwap >
std::istream & | ReadPreValue (std::istream &is)
template<typename TSwap >
std::istream & | ReadValue (std::istream &is)
template<typename TSwap >
std::ostream & | Write (std::ostream &os) const
Public Member Functions inherited from gdcm::DataElement
| DataElement (const Tag &t=Tag(0), const VL &vl=0, const VR &vr=VR::INVALID)
| DataElement (const DataElement &_val)
void | Clear ()
| Clear Data Element (make Value empty and invalidate Tag & VR)
void | Empty ()
| Make Data Element empty (no Value)
const ByteValue * | GetByteValue () const
template<typename TDE >
VL | GetLength () const
const SequenceOfFragments * | GetSequenceOfFragments () const
const SequenceOfItems * | GetSequenceOfItems () const
SequenceOfItems * | GetSequenceOfItems ()
const Tag & | GetTag () const
| Get Tag.
Tag & | GetTag ()
Value const & | GetValue () const
| Set/Get Value (bytes array, SQ of items, SQ of fragments):
Value & | GetValue ()
SmartPointer< SequenceOfItems > | GetValueAsSQ () const
const VL & | GetVL () const
| Get VL.
VL & | GetVL ()
VR const & | GetVR () const
bool | IsEmpty () const
| Check if Data Element is empty.
bool | IsUndefinedLength () const
| return if Value Length if of undefined length
bool | operator< (const DataElement &de) const
DataElement & | operator= (const DataElement &de)
bool | operator== (const DataElement &de) const
template<typename TDE , typename TSwap >
std::istream & | Read (std::istream &is)
template<typename TDE , typename TSwap >
std::istream & | ReadOrSkip (std::istream &is, std::set< Tag > const &skiptags)
template<typename TDE , typename TSwap >
std::istream & | ReadPreValue (std::istream &is, std::set< Tag > const &skiptags)
template<typename TDE , typename TSwap >
std::istream & | ReadValue (std::istream &is, std::set< Tag > const &skiptags)
template<typename TDE , typename TSwap >
std::istream & | ReadWithLength (std::istream &is, VL &length)
void | SetByteValue (const char *array, VL length)
void | SetTag (const Tag &t)
void | SetValue (Value const &vl)
void | SetVL (const VL &vl)
void | SetVLToUndefined ()
void | SetVR (VR const &vr)
template<typename TDE , typename TSwap >
const std::ostream & | Write (std::ostream &os) const

## Friends

std::ostream & | operator<< (std::ostream &os, const Fragment &val)

## Additional Inherited Members

Protected Types inherited from gdcm::DataElement
typedef SmartPointer< Value > | ValuePtr
Protected Attributes inherited from gdcm::DataElement
Tag | TagField
ValuePtr | ValueField
VL | ValueLengthField
VR | VRField

## Detailed Description

Class to represent a Fragment.

Examples:
  FixBrokenJ2K.cxx, and FixJAIBugJPEGLS.cxx.

## Constructor & Destructor Documentation

gdcm::Fragment::Fragment | ( |  | ) |

inline

## Member Function Documentation

VL gdcm::Fragment::GetLength | ( |  | ) | const

inline

References gdcm::VL::GetLength().

template<typename TSwap >

std::istream& gdcm::Fragment::Read | ( | std::istream & | is | ) |

inline

Referenced by gdcm::SequenceOfFragments::Read().

template<typename TSwap >

std::istream& gdcm::Fragment::ReadPreValue | ( | std::istream & | is | ) |

inline

template<typename TSwap >

std::istream& gdcm::Fragment::ReadValue | ( | std::istream & | is | ) |

inline

References gdcmWarningMacro, and gdcm::ParseException::SetLastElement().

template<typename TSwap >

std::ostream& gdcm::Fragment::Write | ( | std::ostream & | os | ) | const

inline

References gdcm::ByteValue::GetLength(), gdcm::VL::Write(), and gdcm::ByteValue::Write().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | const Fragment & | val
| ) |  |

friend

The documentation for this class was generated from the following file:

- gdcmFragment.h